Draft WireToBSpline/it: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
<div class="mw-translate-fuzzy">
{{GuiCommand/it|Name=Draft WireToBSpline|Name/it=Wire in Spline|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Architettura]]|MenuLocation=Draft → Wire in Spline}}
{{GuiCommand/it|Name=Draft WireToBSpline|Name/it=Wire in Spline|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Architettura]]|MenuLocation=Draft → Wire in Spline}}
</div>


==Descrizione==
==Descrizione==


<div class="mw-translate-fuzzy">
Questo strumento converte i segmenti di una linea spezzata, qui definita [[Draft Wire/it|DWire]], in curve di tipo [[Draft BSpline/it|BSpline]], e viceversa.
Questo strumento converte i segmenti di una linea spezzata, qui definita [[Draft Wire/it|DWire]], in curve di tipo [[Draft BSpline/it|BSpline]], e viceversa.
</div>


[[Image:Draft Wire2BSpline example.jpg|400px]]
[[Image:Draft Wire2BSpline example.jpg|400px]]
{{Caption|Convertir a wire to a B-Spline, and a closed B-Spline to a closed wire}}


== Utilizzo ==
== Utilizzo ==


<div class="mw-translate-fuzzy">
# Selezionare una linea [[Draft Wire/it|Wire]] o una [[Draft BSpline/it|BSpline]]
# Selezionare una linea [[Draft Wire/it|Wire]] o una [[Draft BSpline/it|BSpline]]
# Premere il pulsante {{KEY/it|[[Image:Draft WireToBSpline.png|16px]] Da Wire a BSpline}}
# Premere il pulsante {{KEY/it|[[Image:Draft WireToBSpline.png|16px]] Da Wire a BSpline}}
</div>

A new object will be created; the original object will not be modified.

{{Emphasis|Note:}} if a closed wire with sharp edges is used to create a spline, the new object may have self intersecting curve segments, and may not be visible in the 3D view. If this is the case, manually set {{PropertyData|Make Face}} to {{FALSE}} to see the new shape, or set {{PropertyData|Closed}} to {{FALSE}} to create an open shape.


== Opzioni ==
== Opzioni ==


<div class="mw-translate-fuzzy">
* L'oggetto originale non viene eliminato dopo l'operazione, è necessario eliminarlo manualmente, se lo si desidera.
* L'oggetto originale non viene eliminato dopo l'operazione, è necessario eliminarlo manualmente, se lo si desidera.
</div>


<div class="mw-translate-fuzzy">
== Script ==
== Script ==
</div>


<div class="mw-translate-fuzzy">
Non è disponibile, ma è facile creare un nuovo oggetto usando i punti di un altro oggetto, per esempio:
Non è disponibile, ma è facile creare un nuovo oggetto usando i punti di un altro oggetto, per esempio:
</div>


The {{incode|Points}} attribute of an object is a list with the points that comprise that object; this list can be passed to functions that build geometry. Each point is defined by its {{incode|FreeCAD.Vector}}, with units in millimeters.
* se l'oggetto attivo è una linea wire


<div class="mw-translate-fuzzy">
* se l'oggetto attivo è una linea wire
</div>
{{Code|code=
{{Code|code=
import FreeCAD,Draft
import FreeCAD, Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeBSpline(points)
}}


# Make a spline from the points of a wire
* se l'oggetto attivo è una linea bspline
p1 = FreeCAD.Vector(1000, 1000, 0)
p2 = FreeCAD.Vector(2000, 1000, 0)
p3 = FreeCAD.Vector(2500, -1000, 0)
p4 = FreeCAD.Vector(3500, -500, 0)


base_wire = Draft.makeWire([p1, p2, p3, p4])
{{Code|code=

import FreeCAD,Draft
points1 = base_wire.Points
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeWire(points)
spline = Draft.makeBSpline(points1)

# Make a wire from the points of a spline
base_spline = Draft.makeBSpline([-p1, -1.3*p2, -1.2*p3, -2.1*p4])

points2 = base_spline.Points
Wire = Draft.makeWire(points2)
}}
}}

{{Draft Tools navi}}
{{Userdocnavi}}
{{clear}}

Revision as of 13:02, 8 January 2019

Wire in Spline

Posizione nel menu
Draft → Wire in Spline
Ambiente
Draft, Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno

Descrizione

Questo strumento converte i segmenti di una linea spezzata, qui definita DWire, in curve di tipo BSpline, e viceversa.

Convertir a wire to a B-Spline, and a closed B-Spline to a closed wire

Utilizzo

  1. Selezionare una linea Wire o una BSpline
  2. Premere il pulsante Template:KEY/it

A new object will be created; the original object will not be modified.

Note: if a closed wire with sharp edges is used to create a spline, the new object may have self intersecting curve segments, and may not be visible in the 3D view. If this is the case, manually set DatiMake Face to false to see the new shape, or set DatiClosed to false to create an open shape.

Opzioni

  • L'oggetto originale non viene eliminato dopo l'operazione, è necessario eliminarlo manualmente, se lo si desidera.

Script

Non è disponibile, ma è facile creare un nuovo oggetto usando i punti di un altro oggetto, per esempio:

The Points attribute of an object is a list with the points that comprise that object; this list can be passed to functions that build geometry. Each point is defined by its FreeCAD.Vector, with units in millimeters.

  • se l'oggetto attivo è una linea wire
import FreeCAD, Draft

# Make a spline from the points of a wire
p1 = FreeCAD.Vector(1000, 1000, 0)
p2 = FreeCAD.Vector(2000, 1000, 0)
p3 = FreeCAD.Vector(2500, -1000, 0)
p4 = FreeCAD.Vector(3500, -500, 0)

base_wire = Draft.makeWire([p1, p2, p3, p4])

points1 = base_wire.Points
spline = Draft.makeBSpline(points1)

# Make a wire from the points of a spline
base_spline = Draft.makeBSpline([-p1, -1.3*p2, -1.2*p3, -2.1*p4])

points2 = base_spline.Points
Wire = Draft.makeWire(points2)